<virtualhost *:443>
        ServerName {{ occ_domain }}
        ServerAdmin {{ afi_le_mail }}
        DocumentRoot {{ www_install_path }}
 
        KeepAlive on
        KeepAliveTimeout 100
        MaxKeepAliveRequests 200
 
        <Directory {{ www_install_path }}/>
                Options Indexes FollowSymLinks MultiViews
                AllowOverride All
                Require all granted
        </Directory>
        <Directory /opt/nextcloud-data>
                Options Indexes FollowSymLinks MultiViews
                AllowOverride All
                Require all granted
        </Directory>
 
 
        ErrorLog /var/log/apache2/cloud-error.log
        LogLevel warn
        CustomLog /var/log/apache2/cloud-access.log combined
        ServerSignature On
 
 
        #SSL-Certs
        SSLEngine on
        SSLCertificateFile /etc/letsencrypt/live/{{occ_domain}}/cert.pem
        SSLCertificateKeyFile /etc/letsencrypt/live/{{occ_domain}}/privkey.pem
        SSLCertificateChainFile /etc/letsencrypt/live/{{occ_domain}}/fullchain.pem
 
        #SSL-Protokolle und CipherSuite
        SSLProtocol All -SSLv2 -SSLv3
        SSLHonorCipherOrder On
        # Ohne 3DES werden Browser unter Windows XP ausgeschlossen
        SSLCipherSuite 'EECDH+ECDSA+AESGCM:EECDH+aRSA+AESGCM:EECDH+ECDSA:EECDH:EDH+AESGCM:EDH:ECDH+AESGCM:ECDH+AES:ECDH:HIGH:MEDIUM:!RC4:!3DES:!CAMELLIA:!SEED:!aNULL:!MD5:!eNULL:!LOW:!EXP:!DSS:!PSK:!SRP'
        SSLCompression Off
        
        ProxyPass /push/ws ws://localhost:7867/ws
        ProxyPass /push/ http://localhost:7867/
        ProxyPassReverse /push/ http://localhost:7867/

 
    #Header add Strict-Transport-Security: "max-age=15768000"
   <IfModule mod_headers.c>
       Header always set Strict-Transport-Security "max-age=15552000; includeSubDomains; preload"
    </IfModule>
    <IfModule mod_rewrite.c>
       RewriteEngine on
       RewriteRule ^\.well-known/host-meta /public.php?service=host-meta [QSA,L]
       RewriteRule ^\.well-known/host-meta\.json /public.php?service=host-meta-json [QSA,L]
       RewriteRule ^\.well-known/webfinger /public.php?service=webfinger [QSA,L]
       RewriteRule ^\.well-known/carddav /remote.php/dav/ [R=301,L]
       RewriteRule ^\.well-known/caldav /remote.php/dav/ [R=301,L]
     </IfModule>
</virtualhost>